%global pypi_name ratelimitingfilter

Name:           python-%{pypi_name}
Version:        1.5
Release:    1%{?dist}
Summary:        A rate limiting filter for the Python logging system

License:        MIT
URL:            https://github.com/wkeeling/ratelimitingfilter
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools

%description
The RateLimitingFilter is a filter for the Python logging system that allows
you to restrict the rate at which messages can pass through your logging
handlers. The filter can be useful if you're using a handler such as Python's
logging.handlers.SMTPHandler to send error notification emails.
Error notification emails provide a useful means of keeping an eye on.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The RateLimitingFilter is a filter for the Python logging system that allows
you to restrict the rate at which messages can pass through your logging
handlers. The filter can be useful if you're using a handler such as Python's
logging.handlers.SMTPHandler to send error notification emails.
Error notification emails provide a useful means of keeping an eye on.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-1
- initial build
